using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("World Flags", "By Palto_PPG", ModAPI.LoadSprite("category.png"));
			
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "German flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Siebe tage lang",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f72.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f72.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Switzerland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "I will remain neutral",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f73.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f73.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Italy Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Pizza!",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f74.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f74.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "France Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Baton",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f75.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f75.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UK Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Tea tea tea",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f77.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f77.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Sweden Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ikea And Minecraft",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f76.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f76.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Finland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Finnish sniper",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f78.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f78.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Denmark Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Viking",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f79.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f79.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UN Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "United nations",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f80.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f80.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "China Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Abibas Made in china",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f81.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f81.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Japan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Arigato",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f2.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Vietnam Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Johnny they are in the trees",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f1.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kazakhstan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kazakhstan threatens us with bombing",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f3.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f3.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ukraine Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Slava Ukraine",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f4.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f4.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Russia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Vodka",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f5.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f5.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Belarus Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "I LOVE BULBA",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f6.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f6.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "EU Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Europe",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f7.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f7.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "NATO Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "NATO",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f8.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f8.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "USA Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "usa! usa!usa!",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f9.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f9.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "USSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Soviet stalin",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f10.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f10.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Canada Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Just a Canada",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f11.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f11.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Yogoslav Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Arkanove Delije",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f12.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f12.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Croatia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Anica Kninska Kraljica",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f13.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f13.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Serbia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Panteri Panteri",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f14.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f14.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Bosnia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Artileria!",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f15.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f15.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Albania Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "UCK!",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f16.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f16.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kosvo Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Thank you USA",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f17.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f17.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Bulgaria Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Bulgaria",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f18.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f18.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Norway Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Subwolfers",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f19.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f19.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Spain Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Just a Spain",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f20.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f20.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Portugal Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Yes",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f21.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f21.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Belgium Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Bank",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f22.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f22.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Hungar Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Hungry",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f23.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f23.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Austria Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Austro Hungry",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f24.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f24.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Poland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kurwa",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f25.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f25.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Czech Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kurwa 2",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f26.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f26.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Estonia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Estonia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f27.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f27.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Slovakia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Czech-slovakia part",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f28.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f28.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Lithuania Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kurwa 3",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f29.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f29.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Latvia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Latvia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f30.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f30.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Romania Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Joysvirus",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f31.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f31.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Moldova Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Elisey",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f32.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f32.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Montenegro Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Montenegro",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f33.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f33.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Macedonia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Makedonia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f34.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f34.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Georgia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kebab",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f35.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f35.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Turkey Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kebab 2",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f36.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f36.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Dutch Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Netherland",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f37.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f37.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ireland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "IRA",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f38.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f38.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Grecce Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Grecce",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f39.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f39.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Azerbaijan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kebab 3",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f40.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f40.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Slovenia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Slovenia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f41.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f41.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Cyprus Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Cyprus",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f42.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f42.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Iceland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Fish",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f43.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f43.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mexico Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Taco",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f44.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f44.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Brazil Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Brazil",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f45.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f45.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Argentina Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Argentina",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f46.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f46.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Australia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Cangaroo",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f47.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f47.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Israel Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "jews",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f48.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f48.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Palestina Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Palestina",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f49.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f49.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Syria Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "boom boom",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f50.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f50.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Iraq Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "boom boom 2",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f51.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f51.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Iran Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Iran",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f55.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f55.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Afganistan(Free) Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "boom boom 3",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f53.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f53.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Afganistan(Taliban) Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "boom boom 4",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f52.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f52.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Pakistan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Paki",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f54.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f54.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "India Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "India",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f56.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f56.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Indonesia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Indonesia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f57.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f57.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Philippines Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Philippines",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f58.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f58.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "North Korea Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Korea N",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f59.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f59.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "South Korea Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Korea S",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f60.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f60.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Armenia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Armenia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f61.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f61.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UIA(UPA) Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Bandera is hero",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f62.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f62.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "3 Reich Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "NAZI",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f63.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f63.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Free Belaruss Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Life to belaruss",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f64.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f64.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Freedom Russia Legion Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Putin eblan",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f65.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f65.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kiev Rus Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kiev rus",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f66.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f66.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Russia Empire Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ukraine better",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f67.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f67.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Russia Empire Flag 2",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Rip bozo russian nazi",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f68.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f68.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Japan Empire",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Banzai!",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f69.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f69.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Italian Empire",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Benito Musolini",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f70.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f70.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Austro Hungary Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "WW1",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f71.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f71.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "German Empire Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "WW1",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f83.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f83.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "VATA Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Flag of my friend who gift me PPG License",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f82.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f82.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "3 Reich Flag 2",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "2 Variant",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f84.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f84.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UPR(UNR) Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Glory To Ukraine",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f85.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f85.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Scotland Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Scotland",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f86.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f86.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Canada ww2 Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Canada but ww2",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f87.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f87.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "SPQR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Acient Rome",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f88.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f88.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mongolia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Mongolian",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f89.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f89.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Polish-Lithuanian Commonwealth Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Poland Lithuania Ukraine",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f90.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f90.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Saudi arabia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "ARAB",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f91.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f91.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Tajikistan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Nas nikogda nikto ne slomaet mi tajiki mi nosteli koron",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f92.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f92.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Uzbekistan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "UZBEK",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f93.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f93.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Turkmenistan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Turkmenistan",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f95.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f95.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kyrgyzstan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kyrgyz",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f94.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f94.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "GreenLand Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "GREENland Rly?",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f96.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f96.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Chile Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Peper",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f97.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f97.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Malaysia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Muslim USA?",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f110.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f110.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Uruguay Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Uruguay",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f98.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f98.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Cuba Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Cube",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f99.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f99.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Columbia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Drugs Country",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f100.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f100.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Venezuela Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Drugs Country 2",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f101.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f101.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Peru Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Alpaca",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f102.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f102.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
             );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Egypt Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Pharaon",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f103.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f103.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Niger Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Maybe Nigg......",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f104.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f104.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "SAR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "South African Republic",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f105.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f105.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UAE Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "United Arabian Emirates",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f106.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f106.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Somalia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Pirates",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f107.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f107.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Vatican Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Pop",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f108.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f108.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Morocco Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Morocco",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f109.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f109.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ukrainian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f111.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f111.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Russian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f112.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f112.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Belarus SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f113.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f113.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kazakh SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f114.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f114.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Moldavian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f115.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f115.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Georgian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f116.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f116.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Estonian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f117.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f117.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Latvian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f118.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f118.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Lithuanian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f119.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f119.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Armenian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f120.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f120.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Azerbaijan SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f121.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f121.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mongolian SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f122.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f122.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Turkmen SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f123.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f123.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Uzbek SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f124.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f124.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kyrgyz SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f125.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f125.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Tajik SSR Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "SSR",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f126.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f126.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "SLF Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Flag Of my Friend",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f127.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f127.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Algeria Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Algeria",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f128.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f128.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Tunisia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Like a Turkey",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f129.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f129.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Lybia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Libya",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f130.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f130.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Sudan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Sudan",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f131.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f131.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "South Sudan Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "South Sudan",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f132.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f132.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Uganda Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Uganda",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f133.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f133.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Kenya Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Kenya",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f134.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f134.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ethiopia Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ethiopia",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f135.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f135.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "African Union Flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "African Union",
                    CategoryOverride = ModAPI.FindCategory("World Flags"),
                    ThumbnailOverride = ModAPI.LoadSprite("f136.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f136.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
        }
    }
}